/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { WebGridBaseDirectiveDescription } from "./WebGridBaseDirectiveDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var WebTreeGridDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    tslib_1.__extends(WebTreeGridDescription, _super);
    function WebTreeGridDescription() {
        var _this = _super.call(this) || this;
        _this.hj = null;
        _this.hl = null;
        _this.hm = null;
        _this.hd = false;
        _this.hn = null;
        _this.ha = null;
        _this.g9 = null;
        _this.hk = null;
        _this.hh = null;
        _this.hf = 0;
        _this.ho = null;
        return _this;
    }
    WebTreeGridDescription.prototype.get_type = function () {
        return "WebTreeGrid";
    };
    Object.defineProperty(WebTreeGridDescription.prototype, "childDataKey", {
        get: function () {
            return this.hj;
        },
        set: function (a) {
            this.hj = a;
            this.e("ChildDataKey");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "foreignKey", {
        get: function () {
            return this.hl;
        },
        set: function (a) {
            this.hl = a;
            this.e("ForeignKey");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "hasChildrenKey", {
        get: function () {
            return this.hm;
        },
        set: function (a) {
            this.hm = a;
            this.e("HasChildrenKey");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "cascadeOnDelete", {
        get: function () {
            return this.hd;
        },
        set: function (a) {
            this.hd = a;
            this.e("CascadeOnDelete");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "id", {
        get: function () {
            return this.hn;
        },
        set: function (a) {
            this.hn = a;
            this.e("Id");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "rootRecords", {
        get: function () {
            return this.ha;
        },
        set: function (a) {
            this.ha = a;
            this.e("RootRecords");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "processedRootRecords", {
        get: function () {
            return this.g9;
        },
        set: function (a) {
            this.g9 = a;
            this.e("ProcessedRootRecords");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "dataRef", {
        get: function () {
            return this.hk;
        },
        set: function (a) {
            this.hk = a;
            this.e("DataRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "filteredData", {
        get: function () {
            return this.hh;
        },
        set: function (a) {
            this.hh = a;
            this.e("FilteredData");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "expansionDepth", {
        get: function () {
            return this.hf;
        },
        set: function (a) {
            this.hf = a;
            this.e("ExpansionDepth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebTreeGridDescription.prototype, "rowLoadingIndicatorTemplateRef", {
        get: function () {
            return this.ho;
        },
        set: function (a) {
            this.ho = a;
            this.e("RowLoadingIndicatorTemplateRef");
        },
        enumerable: true,
        configurable: true
    });
    WebTreeGridDescription.$t = markType(WebTreeGridDescription, 'WebTreeGridDescription', WebGridBaseDirectiveDescription.$);
    return WebTreeGridDescription;
}(WebGridBaseDirectiveDescription));
export { WebTreeGridDescription };
